> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/4-tresci/tresc-textcontent/tworzenie-i-podpiecie-artefaktu-tresc.md).

# Creating and attaching the Content artifact

## Creating the Content artifact

A new **Content (TextContent)** is created in the content editor (more in [Content Editor](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/4-tresci/tresc-textcontent/edytor-tresci.md)).

{% stepper %}
{% step %}

#### Creating an artifact

Go to the module **Library**, and then to the tab **Content**. Click the button **Add content**.\
In the dialog box that appears, set the name and location of the artifact. Clicking the button **Add content** will open the content editor.
{% endstep %}

{% step %}

#### Content Editor - window structure

The editor window is divided into sections:

* In the main part of the window, we add the content and any HTML styles.
* Below is a preview of the content being created (approximate).
* On the left, you can add additional languages for the content.

![Figure 1. Content Editor - creating content](/files/72abdca546b3646f0360ac90955342fa10391226)
{% endstep %}
{% endstepper %}

## Adding a new language

Each **Content** (TextContent) can consist of versions in different languages. At least one is required. To add another language version, click the button **Add translation** in the lower-left corner of the editor. A new panel indicating the language version will appear on the left. In the field **TRANSLATION NAME** enter the language code (according to ISO 639), and in the upper-right panel enter the content.

![Figure 2. Adding a new language in content translations](/files/c52d07609156546a0a8048c69ffaa8545f17b927)

## HTML and Wiki Markup formatting

The artifact content can be written using one of two languages:

* HTML (scripts in content are not supported by the platform),
* Wiki Markup (see: [Confluence Wiki Markup](https://confluence.atlassian.com/display/DOC/Confluence+Wiki+Markup) and [page with sample formatting](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/4-tresci/tresc-textcontent/tresc-przy-pomocy-wiki-markup.md)). Note: tables are supported only in the simplest version ([plain table with a header at the top](https://confluence.atlassian.com/display/DOC/Confluence+Wiki+Markup#ConfluenceWikiMarkup-Tables)).

The default formatting method is HTML. To set Wiki Markup, in the XML source (where Content is attached), add a configuration for TextContent in OutputFields: localName="markupType" serviceName="markupType".

## Preview of the Content being created

After entering text in the upper part of the window, the lower panel will show its approximate appearance (the preview is illustrative — it is not an exact representation of the artifact in the application).

{% hint style="info" %}
Auto-formatting:

* "Orphans" and one-letter words (e.g. "i", "w", "z") will be automatically moved to a new line.
* Large numbers will not be split onto a new line (e.g. "1 000 000 000").

This eliminates the need to use non-breaking spaces — the text dynamically adjusts to the window size.
{% endhint %}

## Using the artifact in components

Created **Content** (TextContent) is most often used in the following components in the application:

* [Formatted content - TextContent](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/4-tresci/tresc-formatowana-textcontent.md)
* [Formatted (collapsible) content - RollableTextContent](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/4-tresci/tresc-formatowana-zwijana-rollabletextcontent.md)
* [Statements - Statements](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/7-komponenty-specjalne/oswiadczenia-statements.md)
* [Radio group - RadioGroup](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/2-pola-wyboru/radio/radio-grupa-radiogroup.md)

### Attaching the artifact in the Formatted Content component

The way to attach the artifact depends on the component in which you want to use the Content. An example of use **Formatted content** — is described in: [Attaching and editing Content from the application level](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/4-tresci/tresc-textcontent/podpiecie-i-edycja-tresci-z-poziomu-wniosku.md).

Additional resources:

* [WCAG best practices for low-code development — HTML Content (TextContents) and custom components (CustomComponents)](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/wcag/dobre-praktyki-wcag-ogolne-low-code.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/4-tresci/tresc-textcontent/tworzenie-i-podpiecie-artefaktu-tresc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
